decom carbon
Closed, ResolvedPublic

Description

carbon.wikimedia.org has been replaced by install1002/2002 and can be decom'ed after Friday, Feb 17th 2017

decommission steps

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate, salt key removed

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped by onsite
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from asw-a-eqiad for scandium when it is unracked.
Dzahn created this task.Feb 14 2017, 12:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2017, 12:16 AM
Dzahn updated the task description. (Show Details)Feb 14 2017, 12:21 AM
Dzahn updated the task description. (Show Details)Feb 14 2017, 12:26 AM

Change 337197 had a related patch set uploaded (by Dzahn):
install: remove roles from carbon, demote to spare

https://gerrit.wikimedia.org/r/337197

Change 337197 merged by Dzahn:
install: remove roles from carbon, demote to spare

https://gerrit.wikimedia.org/r/337197

Dzahn updated the task description. (Show Details)Feb 14 2017, 12:51 AM

Change 339019 had a related patch set uploaded (by Dzahn):
install: allow rsync of /home from carbon to install1002

https://gerrit.wikimedia.org/r/339019

Change 339019 merged by Dzahn:
install: allow rsync of /home from carbon to install1002

https://gerrit.wikimedia.org/r/339019

Change 339021 had a related patch set uploaded (by Dzahn):
install: remove carbon from puppet

https://gerrit.wikimedia.org/r/339021

Mentioned in SAL (#wikimedia-operations) [2017-02-21T20:36:33Z] <mutante> rsyncing /home/ dirs excl. dot files, from carbon to install1002 (T158020)

Change 339023 had a related patch set uploaded (by Dzahn):
install: set install1002 as primary install again

https://gerrit.wikimedia.org/r/339023

Mentioned in SAL (#wikimedia-operations) [2017-02-21T20:44:27Z] <mutante> carbon - backup /root data to install1002:/root/root-carbon/ before shutdown (T158020)

Change 339021 merged by Dzahn:
install: remove carbon from puppet

https://gerrit.wikimedia.org/r/339021

Dzahn updated the task description. (Show Details)Feb 21 2017, 8:52 PM

Change 339023 merged by Dzahn:
install: set install1002 as primary install again

https://gerrit.wikimedia.org/r/339023

Mentioned in SAL (#wikimedia-operations) [2017-02-21T21:31:26Z] <mutante> carbon - puppet node clean, node deactivate (T158020)

Dzahn updated the task description. (Show Details)Feb 21 2017, 9:44 PM

Change 339063 had a related patch set uploaded (by Dzahn):
remove carbon's production IPs

https://gerrit.wikimedia.org/r/339063

Mentioned in SAL (#wikimedia-operations) [2017-02-21T22:01:22Z] <mutante> carbon - removed from icinga, shutdown -h now (T158020)

Change 339063 merged by Dzahn:
remove carbon's production IPs

https://gerrit.wikimedia.org/r/339063

Dzahn updated the task description. (Show Details)Feb 21 2017, 10:06 PM
Dzahn removed a project: Patch-For-Review.
Dzahn reassigned this task from Dzahn to RobH.Feb 21 2017, 10:10 PM
Dzahn added a subscriber: RobH.

Hi @RobH see the check boxes above. could you disable the switch port and then hand over? Thanks!

Dzahn added a subscriber: Cmjohnson.
RobH updated the task description. (Show Details)Feb 21 2017, 10:48 PM
RobH reassigned this task from RobH to Dzahn.
This comment was removed by RobH.
RobH reassigned this task from Dzahn to Cmjohnson.Feb 21 2017, 10:53 PM

So this is now ready for wipe. After discussion with Daniel, we have multiple backup options of this data, but we'll put a last chance date of March 1st.

Chris: Please do not wipe this until March 1st, 2017. If no one objects on this task by then, please wipe and decommission according to remaining checkbox steps.

Thanks!

Cmjohnson closed this task as Resolved.Mar 3 2017, 4:38 PM

Removed from rack